#这是默认的定时器,你可以自己按照上面的注释写一个
#请一定要按照这里的格式和注释写,否则后果自负
#这里的节点和格式,错一个整个插件就会报错,所以自己注意
CQ1-提示:
  #如果这一项为false,则这个定时器就不会执行
  enable: true
  
  #这三个是设置在某一个时间不执行定时
  #设置哪一年不执行定时,-1表示任何年份都执行
  year: -1
  #设置哪一月不执行定时,-1表示任何月份都执行
  month: -1
  #设置哪一天不执行定时,-1表示任何一天都会执行
  day: -1
  
  #这是设置定时的模式,'week'表示每一周的什么什么时候,'month'表示每一个月的什么什么时候,'day'表示每一天的什么什么时候
  timer_type: 'day'
  #这里设定哪一些时间执行定时
  #如果timer_type为'week',你可以用的词有:"monday;tuesday;wednesday;thursday;friday;saturday;sunday",什么意思请翻译,而且请把这些写在逗号前面
  #如果timer_type为'month',你可以用数字来表示某一天,也就是日期,而且也请把这些写在逗号前面
  #如果timer_type为'day',你就不需要在前面添加任何东西,直接写逗号后面的就可以了
  timer_timeset: 
   - '05:55:00'
   - '10:55:00'
   - '15:55:00'
   - '20:55:00'
   - '23:55:00'
   - '02:55:00'
  
  #指令执行的设置
  command_set:
    #这用来设置是谁来执行这些指令,如果是'console',就是控制台执行
    #如果是'player',那么就请看下面commands节点上的注释来使用
    command_sender: 'console'
    #执行定时的指令
    #这里作者提供一个仅仅只能在本插件的配置文件中的指令:delay <millis>
    #这个指令用来放在下面的指令中间,表示在这里停顿多少毫秒(ms,1s=1000ms)
    #这个指令不会影响到其他计时器,也不会影响到这个计时器的其他时间
    #另外还有一个和delay一样也只能用在本插件的配置文件中的指令:sendmsg <msg>
    #这个指令会给指令的调用者发送一条指定指令
    #
    #————————————————————————————————————————————————————————————————————
    #
    #如果command_sender是'player',你需要在指令前面加一点东西
    #格式为:- '组:指令'
    #这里提供了一些指定的组,你可以用这些组来表示你要指定执行的人
    #这里的指令是让所指定的组里面的玩家执行这些指令
    #1:#权限组名,这个的意思是让这个权限组里面所有人执行这个指令,前面的#号一定要加上
    #2:all,这个的意思是让全服玩家都执行这个指令
    #3:random,这个是随机抽取一个玩家来执行后面的指令
    #4:player 或者 player1,player2,player3...,这里的意思是,你写的所有玩家会执行后面的指令,如果有一个以上的玩家,用逗号隔开
    #这里的所有被指定的玩家,如果不在线就不会执行
    #5:%世界名,这个是让指定世界内的所有人执行这个指令
    #如果你并没有在前面加组,且command_sender是'player',就会让控制台把整个一句话当作指令来执行
    #可以加多个组,最后所有组里面都有的玩家才会执行后面的指令,类似于条件,条件都满足的玩家才可以执行
    #例子:%world:#gruop:kill,这个就是在world世界的group组的玩家执行后面的kill指令,也就相当于必须是在world世界而且是guorp权限组里面的玩家才能执行后面的指令
    commands:
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'
     - 'say &c五分钟后重启,请注意!!!!'

CQ1:
  #如果这一项为false,则这个定时器就不会执行
  enable: true
  
  #这三个是设置在某一个时间不执行定时
  #设置哪一年不执行定时,-1表示任何年份都执行
  year: -1
  #设置哪一月不执行定时,-1表示任何月份都执行
  month: -1
  #设置哪一天不执行定时,-1表示任何一天都会执行
  day: -1
  
  #这是设置定时的模式,'week'表示每一周的什么什么时候,'month'表示每一个月的什么什么时候,'day'表示每一天的什么什么时候
  timer_type: 'day'
  #这里设定哪一些时间执行定时
  #如果timer_type为'week',你可以用的词有:"monday;tuesday;wednesday;thursday;friday;saturday;sunday",什么意思请翻译,而且请把这些写在逗号前面
  #如果timer_type为'month',你可以用数字来表示某一天,也就是日期,而且也请把这些写在逗号前面
  #如果timer_type为'day',你就不需要在前面添加任何东西,直接写逗号后面的就可以了
  timer_timeset: 
   - '06:00:00'
   - '11:00:00'
   - '16:00:00'
   - '21:00:00'
   - '00:00:02'
   - '03:00:00'
  
  #指令执行的设置
  command_set:
    #这用来设置是谁来执行这些指令,如果是'console',就是控制台执行
    #如果是'player',那么就请看下面commands节点上的注释来使用
    command_sender: 'console'
    #执行定时的指令
    #这里作者提供一个仅仅只能在本插件的配置文件中的指令:delay <millis>
    #这个指令用来放在下面的指令中间,表示在这里停顿多少毫秒(ms,1s=1000ms)
    #这个指令不会影响到其他计时器,也不会影响到这个计时器的其他时间
    #另外还有一个和delay一样也只能用在本插件的配置文件中的指令:sendmsg <msg>
    #这个指令会给指令的调用者发送一条指定指令
    #
    #————————————————————————————————————————————————————————————————————
    #
    #如果command_sender是'player',你需要在指令前面加一点东西
    #格式为:- '组:指令'
    #这里提供了一些指定的组,你可以用这些组来表示你要指定执行的人
    #这里的指令是让所指定的组里面的玩家执行这些指令
    #1:#权限组名,这个的意思是让这个权限组里面所有人执行这个指令,前面的#号一定要加上
    #2:all,这个的意思是让全服玩家都执行这个指令
    #3:random,这个是随机抽取一个玩家来执行后面的指令
    #4:player 或者 player1,player2,player3...,这里的意思是,你写的所有玩家会执行后面的指令,如果有一个以上的玩家,用逗号隔开
    #这里的所有被指定的玩家,如果不在线就不会执行
    #5:%世界名,这个是让指定世界内的所有人执行这个指令
    #如果你并没有在前面加组,且command_sender是'player',就会让控制台把整个一句话当作指令来执行
    #可以加多个组,最后所有组里面都有的玩家才会执行后面的指令,类似于条件,条件都满足的玩家才可以执行
    #例子:%world:#gruop:kill,这个就是在world世界的group组的玩家执行后面的kill指令,也就相当于必须是在world世界而且是guorp权限组里面的玩家才能执行后面的指令
    commands:
     - 'kickall &6自动重启&c并不会很久,请等待几分钟'
     - 'stop' 